Настройки Xray
Шаблон конфигурации Xray, управление исходящими подключениями, интеграция с Warp/Nord и тестирование конфигурации. Все эндпоинты находятся в /panel/api/xray.
API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/"{ "success": true, "obj": { "xraySetting": "{...raw xray config...}", "inboundTags": "[\"in-443-tcp\"]", "clientReverseTags": "[]", "outboundTestUrl": "https://www.google.com/generate_204" }}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X GET "https://example.com/panel/api/xray/getDefaultJsonConfig"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X GET "https://example.com/panel/api/xray/getOutboundsTraffic"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X GET "https://example.com/panel/api/xray/getXrayResult"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/update"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Path Parameters
data — return Warp stats (quota, remaining). del — delete Warp data. config — return current Warp config. reg — register a new Warp endpoint (sends privateKey, publicKey). license — set a Warp+ license key (sends license).
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/warp/string"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Path Parameters
countries — list available countries. servers — list servers in a country (sends countryId). reg — get NordVPN credentials (sends token). setKey — store NordVPN API key (sends key). data — return current NordVPN connection data. del — delete NordVPN data.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/nord/string"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/resetOutboundsTraffic" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/testOutbound" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/testOutbounds" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/balancerStatus" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/balancerOverride" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/routeTest" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X GET "https://example.com/panel/api/xray/outbound-subs"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/outbound-subs"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Path Parameters
Subscription id.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/outbound-subs/0"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Path Parameters
Subscription id.
Response Body
application/json
curl -X DELETE "https://example.com/panel/api/xray/outbound-subs/0"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Path Parameters
Subscription id.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/outbound-subs/0/del"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Path Parameters
Subscription id.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/outbound-subs/0/refresh"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Path Parameters
Subscription id.
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/outbound-subs/0/move"{ "success": true, "msg": "string", "obj": null}API token from Settings → Security → API Token. Send as Authorization: Bearer <token>.
In: header
Response Body
application/json
curl -X POST "https://example.com/panel/api/xray/outbound-subs/parse"{ "success": true, "msg": "string", "obj": null}Настройки
Конфигурация панели и учётные данные пользователя. Все эндпоинты находятся под /panel/api/setting и требуют активной сессии или токена Bearer.
Сервер подписок
Отдельный HTTP/HTTPS-сервер, который отдаёт клиентам ссылки на подписки прокси (стандартные, JSON и Clash). Сервер слушает на собственном порту (по умолчанию 10882) и настраивается в разделе Settings → Subscription. Пути настраиваемы; значения по умолчанию показаны ниже. Все конечные точки подписок устанавливают заголовки ответа, по которым клиентские приложения считывают информацию о трафике и сроке действия.

3x-ui